﻿Public Class VectorBallTest


    Private Sub VectorBallTest_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        For Each cursor As Cursor In New Cursor() {Cursors.AppStarting, Cursors.Arrow, Cursors.Cross, _
                                 Cursors.Default, Cursors.Hand, Cursors.Help, _
                                 Cursors.HSplit, Cursors.IBeam, Cursors.No, _
                                 Cursors.NoMove2D, Cursors.NoMoveHoriz, Cursors.NoMoveVert, _
                                 Cursors.PanEast, Cursors.PanNE, Cursors.PanNorth, _
                                 Cursors.PanNW, Cursors.PanSE, Cursors.PanSouth, _
                                 Cursors.PanSW, Cursors.PanWest, Cursors.SizeAll, _
                                 Cursors.SizeNESW, Cursors.SizeNS, Cursors.SizeNWSE, _
                                 Cursors.SizeWE, Cursors.UpArrow, Cursors.VSplit, Cursors.WaitCursor}
            cmbcursor.Items.Add(cursor)
        Next cursor
        cmbcursor.SelectedItem = Me.DefaultCursor

        cmbBorderStyle.Items.Add("None")
        cmbBorderStyle.Items.Add("FixedSingle")
        cmbBorderStyle.Items.Add("Fixed3D")

        nudDistance.Value = VectorBall1.Distance
        nudAngle.Value = VectorBall1.Angle
        nudBallSize.Value = VectorBall1.BallSize
        nudLineWidth.Value = VectorBall1.LineWidth
        nudMinimum.Value = VectorBall1.Minimum
        nudMaximum.Value = VectorBall1.Maximum
        nudRings.Value = VectorBall1.Rings
        nudRadials.Value = VectorBall1.Radials
        chkEnabled.Checked = VectorBall1.Enabled
        chkRotate.Checked = VectorBall1.BallRotate

        ChkImage1.Checked = My.Settings.CHKIMAG1
        chkImage2.Checked = My.Settings.CHKIMAG2
        chkTransparent.Checked = My.Settings.CHKTRANS

    End Sub

    Private Sub VectorBallTest_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        My.Settings.Save()
    End Sub

    Private Sub VectorBall1_DistanceChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles VectorBall1.DistanceChanged
        Label1.Text = VectorBall1.Distance.ToString
    End Sub

    Private Sub VectorBall1_AngleChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles VectorBall1.AngleChanged
        Label2.Text = VectorBall1.Angle.ToString()
    End Sub

    Private Sub VectorBall1_DragEnter(ByVal sender As Object, ByVal e As System.Windows.Forms.DragEventArgs) Handles VectorBall1.DragEnter
        If (e.Data.GetDataPresent(DataFormats.Text)) Then
            e.Effect = DragDropEffects.Copy
        Else
            e.Effect = DragDropEffects.None
        End If
    End Sub

    Private Sub VectorBall1_DragDrop(ByVal sender As Object, ByVal e As System.Windows.Forms.DragEventArgs) Handles VectorBall1.DragDrop
        Dim a() = Split(e.Data.GetData(DataFormats.Text), ",")
        If a.Count = 2 Then
            If Val(a(0) <> 0) AndAlso Val(a(1) <> 0) Then
                VectorBall1.Angle = Val(a(0))
                VectorBall1.Distance = Val(a(1))
            End If
        End If
    End Sub

    Private Sub nudDistance_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles nudDistance.ValueChanged
        VectorBall1.Distance = nudDistance.Value
    End Sub

    Private Sub nudAngle_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles nudAngle.ValueChanged
        VectorBall1.Angle = nudAngle.Value
    End Sub

    Private Sub nudMinimum_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles nudMinimum.ValueChanged
        VectorBall1.Minimum = nudMinimum.Value
        nudDistance.Minimum = VectorBall1.Minimum
    End Sub

    Private Sub nudMaximum_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles nudMaximum.ValueChanged
        VectorBall1.Maximum = nudMaximum.Value
        nudDistance.Maximum = VectorBall1.Maximum
    End Sub

    Private Sub nudInnerLimit_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles nudInnerLimit.ValueChanged
        VectorBall1.InnerLimit = nudInnerLimit.Value
    End Sub

    Private Sub nudOuterLimit_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles nudOuterLimit.ValueChanged
        VectorBall1.OuterLimit = nudOuterLimit.Value
    End Sub

    Private Sub nudBallSize_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles nudBallSize.ValueChanged
        VectorBall1.BallSize = nudBallSize.Value
    End Sub

    Private Sub nudLineWidth_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles nudLineWidth.ValueChanged
        VectorBall1.LineWidth = nudLineWidth.Value
    End Sub

    Private Sub nudRings_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles nudRings.ValueChanged
        VectorBall1.Rings = nudRings.Value
    End Sub

    Private Sub nudRadials_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles nudRadials.ValueChanged
        VectorBall1.Radials = nudRadials.Value
    End Sub

    Private Sub cmdBallColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdBallColor.Click
        Dim cd As ColorDialog = New ColorDialog
        cd.Color = VectorBall1.BallColor
        If cd.ShowDialog <> Windows.Forms.DialogResult.Cancel Then
            VectorBall1.BallColor = cd.Color
        End If
    End Sub

    Private Sub cmdBackColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdBackColor.Click
        Dim cd As ColorDialog = New ColorDialog
        cd.Color = VectorBall1.BackColor
        If cd.ShowDialog <> Windows.Forms.DialogResult.Cancel Then
            VectorBall1.BackColor = cd.Color
        End If
    End Sub

    Private Sub cmdForeColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdForeColor.Click
        Dim cd As ColorDialog = New ColorDialog
        cd.Color = VectorBall1.ForeColor
        If cd.ShowDialog <> Windows.Forms.DialogResult.Cancel Then
            VectorBall1.ForeColor = cd.Color
        End If
    End Sub

    Private Sub cmdRingColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdRingColor.Click
        Dim cd As ColorDialog = New ColorDialog
        cd.Color = VectorBall1.RingColor
        If cd.ShowDialog <> Windows.Forms.DialogResult.Cancel Then
            VectorBall1.RingColor = cd.Color
        End If
    End Sub

    Private Sub cmdRadialColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdRadialColor.Click
        Dim cd As ColorDialog = New ColorDialog
        cd.Color = VectorBall1.RadialColor
        If cd.ShowDialog <> Windows.Forms.DialogResult.Cancel Then
            VectorBall1.RadialColor = cd.Color
        End If
    End Sub

    Private Sub cmdAlternate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdAlternate.Click
        Dim cd As ColorDialog = New ColorDialog
        cd.Color = VectorBall1.BallColorAlt
        If cd.ShowDialog <> Windows.Forms.DialogResult.Cancel Then
            If chkTransparent.Checked Then
                VectorBall1.BallColorAlt = Color.FromArgb(128, cd.Color.R, cd.Color.G, cd.Color.B)
            Else
                VectorBall1.BallColorAlt = Color.FromArgb(255, cd.Color.R, cd.Color.G, cd.Color.B)
            End If
        End If
    End Sub

    Private Sub ChkImage1_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ChkImage1.CheckedChanged
        If ChkImage1.Checked Then
            chkImage2.Checked = False
            VectorBall1.BackgroundImage = My.Resources.CCard4
            VectorBall1.BackgroundImageLayout = ImageLayout.Stretch
            ChkImage1.Checked = True
        Else
            VectorBall1.BackgroundImage = Nothing
        End If
    End Sub

    Private Sub ChkImage2_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkImage2.CheckedChanged
        If chkImage2.Checked Then
            ChkImage1.Checked = False
            VectorBall1.BackgroundImage = My.Resources.Diffuse
            VectorBall1.BackgroundImageLayout = ImageLayout.Stretch
            chkImage2.Checked = True
        Else
            VectorBall1.BackgroundImage = Nothing
        End If
    End Sub

    Private Sub chkDistance_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkDistance.CheckedChanged
        VectorBall1.DistanceLock = chkDistance.Checked
    End Sub

    Private Sub chkAngle_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkAngle.CheckedChanged
        VectorBall1.AngleLock = chkAngle.Checked
    End Sub

    Private Sub chkTransparent_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkTransparent.CheckedChanged
        If chkTransparent.Checked Then
            Dim c As Color = VectorBall1.BallColorAlt
            VectorBall1.BallColorAlt = Color.FromArgb(128, c.R, c.G, c.B)
        Else
            Dim c As Color = VectorBall1.BallColorAlt
            VectorBall1.BallColorAlt = Color.FromArgb(255, c.R, c.G, c.B)
        End If
    End Sub

    Private Sub chkEnabled_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkEnabled.CheckedChanged
        VectorBall1.Enabled = chkEnabled.Checked
    End Sub

    Private Sub chkRotate_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkRotate.CheckedChanged
        VectorBall1.BallRotate = chkRotate.Checked
    End Sub

    Private Sub cmbcursor_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmbcursor.SelectedIndexChanged
        VectorBall1.Cursor = CType(cmbcursor.SelectedItem, Cursor)
    End Sub

    Private Sub cmbBorderStyle_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmbBorderStyle.SelectedIndexChanged
        VectorBall1.BorderStyle = CType(cmbBorderStyle.SelectedIndex, BorderStyle)
    End Sub

    Private Sub vectorball1_PropertyChanged(ByVal sender As System.Object, ByVal e As System.ComponentModel.PropertyChangedEventArgs) Handles VectorBall1.PropertyChanged
        Select Case e.PropertyName
            Case "InnerLimit"
                nudInnerLimit.Value = VectorBall1.InnerLimit
            Case "OuterLimit"
                nudOuterLimit.Value = VectorBall1.OuterLimit
        End Select
    End Sub

    Private Sub cmdBallImage_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdBallImage.Click
        Using OpenFileDialog1 As New OpenFileDialog
            OpenFileDialog1.CheckFileExists = True
            OpenFileDialog1.ShowReadOnly = False
            If OpenFileDialog1.ShowDialog <> DialogResult.Cancel Then
                VectorBall1.BallImage = Image.FromFile(OpenFileDialog1.FileName)
            Else
                VectorBall1.BallImage = Nothing
            End If
        End Using
    End Sub
End Class
